\name{powerSimulation}
\alias{powerSimulation}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
    Statistical power simulation computation
}
\description{
computes the statistical power for in silico mapping given various genetic background effects and snp effects.
}
\usage{
powerSimulation(nCausalSNPs, snps, threshold, kin, hs, vs)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{nCausalSNPs}{
Number of causal snps randomly selected among all available m snps
}
  \item{snps}{
A m by n matrix of snps, where m is number of snps and n is the number
of individuals
}
  \item{threshold}{
A threshold computed from getThreshold function
}
  \item{kin}{
A n by n matrix of kinship coefficients, representing the
    pairwise genetic relatedness between strains
}
  \item{hs}{
A length a vector containing the various background genetic effect
size (each value should be greater than 0 and less than 1)
%%     ~~Describe \code{hs} here~~
}
  \item{vs}{
A length b vector containing the various snp effect size
from causal SNPs (each value should be greater than 0 and less than 1)
}
}
\details{
}
\value{
A a by b matrix, where the value of i-th row and j-th column in 
the matrix represents
the statistical power for in silico mapping given hs[i] background
effect size and vs[j] causal snp effect size.
}
\references{
}
\author{
Eun Yong Kang \email{ekang@cs.ucla.edu}
}
\note{
}


\seealso{
\code{\link{getThreshold}}
}
\examples{

  \dontrun{
    ## Load data
    data(powerSimDat)

    ## Run getMinPvalues
    minPs <- getMinPvalues(powerSimDat$snps, 50, powerSimDat$kin)

    ## compute the threshold for power simulation
    threshold <- getThreshold(minPs)

    ## compute the statistical power for each background genetic effect size and causal snp effect size
    powerTable <- powerSimulation(1000, powerSimDat$snps, threshold, powerSimDat$kin, powerSimDat$hs, powerSimDat$vs)

  }



% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.



